List calendar entries
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"source": "org_event",
"module": "events",
"title": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"all_day": true,
"href": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Events calendar
List calendar entries
Your events starting between two days, as calendar entries, soonest first, 500 at most. Cancelled and deleted events are left out; drafts and internal events are included. Needs read on Events.
GET
/
api
/
events
/
calendar
List calendar entries
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"source": "org_event",
"module": "events",
"title": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"all_day": true,
"href": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Query Parameters
The first day. Only the date is read.
The last day, to its end in UTC. Only the date is read.
Response
The entries.
Show child attributes
Show child attributes